/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Studio Be4 team
Author: Studio Be4
Author URI: https://studiobe4.it
Template: hello-elementor
Version: 1.0.7
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

/* Banner Cookie - attivare se si usa LegalBlink
#cm_tertiary_btn {background-color:#333333!important;color:#FFFFFF!important;}
#cc_div .c_button, #cc_div .c_link, #cc_div #cm {border-radius:0px!important;}*/

/*header*/
#bottone-header{
	max-height: 120px;
    height: 120px;
    display: flex;
    align-items: center;
}
#bottone-header span.elementor-button-content-wrapper {
    align-items: center;
}
#bottone-header svg{
	height: 58px;
	width: 58px;
	color: #FFFFFF;
}


/*Tutta la pagina*/
h2 strong{
	font-weight:600;
}
/* prima sezione */
#sopratitolo{
	width: fit-content;
}
/* Primo slider: per posizionamento delle frecce */
#sliderHero .elementor-swiper-button-prev,
#sliderHero .elementor-swiper-button-next {
    background: rgba(0,0,0,0.34);
    border: 1px solid #ffffff;
    width: 39px;
    height: 39px;
    top: auto;
    bottom: 12px;
	display: flex;
    align-items: center;
    justify-content: center;
	
}
#sliderHero .swiper-slide{
	aspect-ratio: 1/1;
	object-fit:cover;
}

#sliderHero .elementor-swiper-button-prev {
    left: 14px;
    right: auto;
}

#sliderHero .elementor-swiper-button-next {
    left: 60px;
    right: auto;
}

#sliderHero .elementor-swiper-button-prev svg,
#sliderHero .elementor-swiper-button-next svg {
    width: 17px;
    height: 17px;
    fill: #ffffff;
}
/*timeline*/
.jet-timeline .timeline-item__card {
    background: transparent !important;
    box-shadow: none !important;
    border: none !important;
}

.jet-timeline .timeline-item__card-inner {
    background: transparent !important;
}

.jet-timeline .timeline-item__point {
    position: relative !important;
    top: auto !important;
    transform: none !important;
    align-self: flex-start !important;
    margin-top: 0 !important;
}

.jet-timeline .jet-timeline-item {
    align-items: flex-start !important;
}
video{
	width:auto !important;
	height:585px !important;
}
/* card slider*/
.card-slider .e-image-base{
	 aspect-ratio: 4/3;
    object-fit: cover;
}
/* Slider allineati a sinistra*/
.slider-dec .slick-list {padding-right: 17%;}
.slider-dec {padding-left:15%;padding-bottom:10px;}
.slider-dec .slick-list.draggable {padding-left: 0px;}

/* Dots */
.slider-dec .jet-slick-dots {margin-top: 80px;}
.slider-dec .jet-listing-grid__slider .jet-slick-dots li {width: auto;height: 2px;border-radius: 0;margin: 0;flex:1;}
.slider-dec .jet-listing-grid__slider .jet-slick-dots {align-items: flex-start;justify-content: left;}
.slider-dec .jet-listing-grid__slider-icon.next-arrow svg, .slider-dec .jet-listing-grid__slider-icon.prev-arrow svg {display:none;}
.slider-dec .jet-listing-grid__slider-icon.next-arrow:before, .slider-dec .jet-listing-grid__slider-icon.prev-arrow:before {content:'';background-image:url('https://heatandcool.preview.studiobe4.cloud/wp-content/uploads/2026/04/freccia-2.svg');width: 14px;height: 25px;background-repeat: no-repeat;background-position: center;}
.slider-dec .jet-listing-grid__slider-icon.slick-arrow.slick-disabled {opacity:0.5;}
.jet-listing-grid__slider .jet-slick-dots {width:70%; padding-left:30px}

/* video*/
.video-popup .jet-video {
    aspect-ratio: 4 / 5;
}
.elementor-lightbox .elementor-video-container .elementor-video-landscape iframe, .elementor-lightbox .elementor-video-container .elementor-video-landscape video {
    aspect-ratio: 9 / 16!important;
}
/* progettazione completa*/
#slider-ProgettazioneCompleta  .sp-thumbnails-container {
    margin-left: 0 !important;
    margin-right: auto !important;
}

#slider-ProgettazioneCompleta .sp-thumbnails {
    margin-left: 0 !important;
}

#slider-ProgettazioneCompleta img.sp-image, #slider-ProgettazioneCompleta .sp-mask.sp-grab {
    aspect-ratio: 11/9;
    object-fit: cover;
}

/*interventi*/
.card-interventi img{
	aspect-ratio: 2/3;
    object-fit: cover;
}
#interventi-bottone p{
	color: #F4F4F4;
}
#interventi-bottone h2{
	text-transform: upper-case;
	color: #F4F4F4;
}
/*Form*/
/* Custom styles for the file upload field */
#formContatti .jet-form-builder__field-wrap.jet-form-builder-file-upload {
    background: #FFFFFF !important;
    border: 2px dashed #dadada !important;
    padding: 20px !important;
    text-align: center;
    position: relative;
	margin-top: 45px;
    margin-bottom: 3px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 3px !important;
}

#formContatti .jet-form-builder-file-upload__file {margin:0 0 10px 0!important;}

#formContatti .jet-form-builder-file-upload__file img {
    display: block;
    width: 100%;
    height: 100% !important;
    padding: 0;
    margin: 0;
    -o-object-fit: cover;
    object-fit: cover;
    -o-object-position: center center;
    object-position: center center;
    border-radius: 3px !important;
    box-shadow: 0 0 30px -8px rgba(0, 0, 0, 0.24) !important;
}

/* Styles for image content */
#formContatti .jet-form-builder-file-upload__content {
    min-height: auto !important;
}

/* Styles for the custom "Choose File" and "File Uploaded" buttons */
#formContatti .addfile {
    padding: 12px 20px !important;
    background-color: var( --e-global-color-secondary )!important;
    color: #ffffff!important;
    border: none!important;
    font-size: 16px;
    font-weight: 400;
	text-transform:uppercase;
	line-height: 28px;
	letter-spacing:0px;
    cursor: pointer;
    border-radius: 0px;
    margin-top: 10px; /* Space between button and label */
}

#formContatti .addfile:hover {
    background-color: #9F1B19!important;
    color: #ffffff !important;
	border-radius: none!important;
}

/* Styles for the label that shows file upload status */
#formContatti .labeladdfile {
    padding: 6px 12px;
    background-color: transparent; /* Default background is transparent */
    color: #000000 !important;
    font-size: 12px;
    font-weight: 400;
    display: block;
    margin-top: 10px;
    border-radius: 0px;
}

/* Class added when files are uploaded */
#formContatti .files-uploaded {
    background-color: #ffffff !important; 
    padding: 6px 12px;
	  font-weight:700 !important;
    color: #333333 !important;
    border-radius: 0px;
}
	

/* Hide the default file input visually */
#formContatti .jet-form-builder-file-upload__input {
    display: none;
}

/* Label checkbox privacy */
#formContatti .jet-form-builder__field-label {
    font-size: 13px;
    align-items: center;
}
#formContatti .checkboxes-wrap p{
	margin-bottom: 0px;
}
/* submit Botton*/
#formContatti .jet-form-builder__submit{
	width: 100%;
	justify-content:center;
}

/*Footer*/
.footer-Text strong{
	font-weight:600;
}
#diritti strong{
	font-weight:500;
}

/* Responsive adjustments */
@media (max-width: 1366px) {
    .slider-dec {padding-left:40px;}
	.jet-listing-grid__slider .jet-slick-dots {padding-left:20px}
	#bottone-header .elementor-button-text {text-align:right;}
}

@media (max-width: 1024px) {
    #formContatti .addfile,#formContatti .labeladdfile {
        padding: 8px 16px;
        font-size: 12px;
    }
	#bottone-header svg{
		height: 55px;
		width: 55px;
	}
	#interventi-Integrativi .jet-listing-grid__items{justify-content: center!important;}
	#interventi-Integrativi .jet-listing-grid__item:last-child{display:none;}
}
@media (max-width: 767px) {
	.slider-dec .jet-listing-grid__slider-icon.next-arrow{right:10% !important;}
    #formContatti .addfile,#formContatti .labeladdfile {
        padding: 8px 16px;
        font-size: 12px;
    }
	#interventi-Integrativi .jet-listing-grid__item:last-child{display:none;}
	.card-interventi img{height:379px !important;}

}
